#!/bin/bash
#
#################
# BUILD QUDA
#################
source ./env.sh

pushd  ${BUILDDIR}
if [ -d build_quda_qdp_double ]; 
then 
  rm -rf ./build_quda_qdp_double
fi
mkdir ./build_quda_qdp_double
pushd ./build_quda_qdp_double


cmake -DQUDA_BUILD_ALL_TESTS=OFF \
	-DQUDA_DIRAC_CLOVER=ON \
	-DQUDA_DIRAC_DOMAIN_WALL=OFF \
	-DQUDA_DIRAC_NDEG_TWISTED_MASS=OFF \
	-DQUDA_DIRAC_STAGGERED=OFF \
	-DQUDA_DIRAC_TWISTED_MASS=OFF \
	-DQUDA_DIRAC_TWISTED_CLOVER=OFF \
	-DQUDA_DIRAC_WILSON=ON \
	-DQUDA_DYNAMIC_CLOVER=OFF \
	-DQUDA_FORCE_ASQTAD=OFF \
	-DQUDA_FORCE_GAUGE=OFF \
	-DQUDA_FORCE_HISQ=OFF \
	-DQUDA_GAUGE_ALG=OFF \
	-DQUDA_GAUGE_TOOLS=OFF \
	-DQUDA_GPU_ARCH=${SM} \
	-DQUDA_INTERFACE_QDPJIT=ON \
	-DQUDA_QDPJIT=ON \
	-DQUDA_QDPJITHOME=${INSTALLDIR}/qdp++-double \
	-DQUDA_INTERFACE_MILC=OFF \
	-DQUDA_INTERFACE_CPS=OFF \
	-DQUDA_INTERFACE_QDP=ON \
	-DQUDA_INTERFACE_TIFR=OFF \
	-DQUDA_MAGMA=OFF	\
	-DQUDA_QMP=ON \
	-DQUDA_OPENMP=ON \
	-DQUDA_QMPHOME=${INSTALLDIR}/qmp \
	-DQUDA_MULTIGRID=ON \
        -DQUDA_DOWNLOAD_EIGEN=NO \
        -DEIGEN_INCLUDE_DIR=${SRCDIR}/eigen-3.3.4 \
	-DCMAKE_INSTALL_PREFIX=${INSTALLDIR}/quda_qdp_double \
	-DCMAKE_BUILD_TYPE=DEVEL \
        -DCMAKE_CXX_COMPILER=${PK_CXX} \
        -DCMAKE_C_COMPILER=${PK_CC} \
        -DCMAKE_LINKER=${PK_CXX} \
	-DCMAKE_EXE_LINKER_FLAGS="${OMPFLAGS} -L${LLVM_INSTALL_DIR}/lib" \
	${SRCDIR}/quda

${MAKE}
${MAKE} install
popd

popd
